
QGIS Application - Bug report #15224

Inability to Make More than One Join to Same Table

2016-07-05 04:21 PM - Paul Roberts

Status: Closed

Priority: Severe/Regression

Assignee: Denis Rouzaud

Category: Vectors

Affected QGIS version:2.16.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 23161

Description

In 2.14.2 it appears you no longer have the ability to make more than one join (eg using different matching criteria) to the same Vector, csv

etc) table. 

- when trying to add another join, any existing joined tables no longer appear in the drop-down list.

A workaround is possible, by duplicating the table to which you want to join and making a new join on that...But this seems rather

superfluous

(In 2.8 it was however possible to make multiple joins to the same table and it would be good if this feature were restored please)

History

#1 - 2016-07-12 07:26 AM - Giovanni Manghi

- Affected QGIS version changed from 2.14.2 to 2.16.0

- Priority changed from Normal to Severe/Regression

- Category set to Vectors

Confirmed, but not sure if it is by design or not. Meanwhile tagging this as regression.

#2 - 2016-07-18 07:44 PM - Nyall Dawson

- Assignee set to Denis Rouzaud

Looks like it was a deliberate decision - see commit:95ebf45

Denis may be able to elaborate?

#3 - 2017-02-28 10:47 AM - Giovanni Manghi

- Resolution set to wontfix

- Status changed from Open to Closed

Nyall Dawson wrote:

Looks like it was a deliberate decision - see commit:95ebf45

Denis may be able to elaborate?
I would say that as it was by design, and to solve a crash, then duplicating the table to join seems a reasonable (yet not very elegant nor very handy)

workaround. I would rather open a feature request asking to reinstate this functionality, or even asking the developer in the above github commit as it has

not answered here.

2025-05-19 2/2


